<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/assignment-of-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/assignment-of-application">
    <assignment-of-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2" application-num="" status="a" produced-by="applicant">
      <xsl:attribute name="application-num">
        <xsl:value-of select="application-num"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance4)&gt;0">
          <xsl:attribute name="recognizance4">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance4">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance6)&gt;0">
          <xsl:attribute name="recognizance6">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance6">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>


      <xsl:copy-of select="case-code"/>
            <file-reference-id>
        <xsl:value-of select="file-reference-id"/>
      </file-reference-id>
      
      <xsl:apply-templates select="parties"/>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
      </annotation>
      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
      <fee-sheet lang="" file="" ro="">
        <applicant-name>
          <name>
            <xsl:value-of select="fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="fee-sheet/fee-dtext"/>
        </dtext>
      </fee-sheet>
      <xsl:apply-templates select="change-item"/>
    </assignment-of-application>
  </xsl:template>
  <xsl:template match="change-item">
    <change-item>
      <change-applicant num="1">
        <xsl:choose>
          <xsl:when test="change-name='是'">
            <change-name change="y" />
          </xsl:when>
          <xsl:otherwise>
            <change-name change="n" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="change-address='是'">
            <change-address change="y" />
          </xsl:when>
          <xsl:otherwise>
            <change-address change="n" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="change-representative='是'">
            <change-representative change="y" />
          </xsl:when>
          <xsl:otherwise>
            <change-representative change="n" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="change-nationality='是'">
            <change-nationality change="y" />
          </xsl:when>
          <xsl:otherwise>
            <change-nationality change="n" />
          </xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
          <xsl:when test="change-sign='是'">
            <change-sign change="y" />
          </xsl:when>
          <xsl:otherwise>
            <change-sign change="n" />
          </xsl:otherwise>
        </xsl:choose>
        <change-other>
          <dtext>
            <xsl:value-of select='change-other'/>
          </dtext>
        </change-other>
      </change-applicant>
      <xsl:choose>
        <xsl:when test="change-agent='是'">
          <change-agent change="y" />
        </xsl:when>
        <xsl:otherwise>
          <change-agent change="n" />
        </xsl:otherwise>
      </xsl:choose>
    </change-item>
  </xsl:template>
  <xsl:template match="parties">
    <parties>
      <assignees>
        <xsl:apply-templates select="assignee"/>
      </assignees>
      <assignors>
        <xsl:apply-templates select="assignor"/>
        </assignors>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:apply-templates select="agent-assignee"/>
        <xsl:apply-templates select="agent-assignor"/>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="assignee">
    <assignee>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="as-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(as-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="as-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(as-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(as-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(as-tw-comname)"/>
            </orgname>     
          </xsl:otherwise>
        </xsl:choose>
		<role>
          <xsl:value-of select="as-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="as-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="as-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="as-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="as-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="as-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="as-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="as-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="as-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="as-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(as-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(as-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(as-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="as-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="as-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="as-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(as-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(as-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="as-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(as-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(as-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="as-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </assignee>
  </xsl:template>

  <xsl:template match="assignor">
    <assignor>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ass-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ass-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ass-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ass-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ass-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ass-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
		<role>
          <xsl:value-of select="ass-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ass-tw-iid"/>
        </iid>        
        <registered-number/>
        <representative>
          <xsl:value-of select="ass-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ass-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ass-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ass-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ass-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ass-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ass-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ass-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ass-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ass-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ass-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ass-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ass-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ass-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ass-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ass-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ass-living-country"/>
        </country>
      </residence>
    </assignor>
  </xsl:template>
  
  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent-assignee">
    <xsl:choose>
      <xsl:when test="agas-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="agent-type-assignment">
        <xsl:text>assignee</xsl:text>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(agas-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(agas-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="agas-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="agas-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="agas-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="agas-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="agas-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="agas-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="agas-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="agas-customer-number"/>
      </customer-number>
    </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template match="agent-assignor">
    <xsl:choose>
      <xsl:when test="agass-tw-iid='P800138717'">
      </xsl:when>
      <xsl:otherwise>
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:attribute name="agent-type-assignment">
        <xsl:text>assignor</xsl:text>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(agass-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(agass-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="agass-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="agass-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="agass-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="agass-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="agass-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="agass-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="agass-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="agass-customer-number"/>
      </customer-number>
    </agent>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:attribute-set name="AddPageCount">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="page-count"/>
  </xsl:attribute-set>
  
  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="AddLang">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="lang"/>
  </xsl:attribute-set>

  <xsl:template match="abstract01 | abstract02">
    <abstract add="y" page-count="">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </abstract>
  </xsl:template>

  <xsl:template match="claims01 | claims02">
    <claims add="y" page-count="">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </claims>
  </xsl:template>

  <xsl:template match="description01 | description02 | description03 | description04 ">
    <description add="y" page-count="">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </description>
  </xsl:template>

  <xsl:template match="drawing01 | drawing02 | drawing03|drawing04">
    <drawing add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::drawing-num'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing>
  </xsl:template>

  <xsl:template match="without-line-abstract-complete01 | without-line-abstract-complete02">
    <without-line-abstract-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-abstract-complete>
  </xsl:template>

  <xsl:template match="without-line-description-complete01 | without-line-description-complete02 | without-line-description-complete03">
    <without-line-description-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-description-complete>
  </xsl:template>

  <xsl:template match="without-line-claims-complete01 | without-line-claims-complete02">
    <without-line-claims-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-claims-complete>
  </xsl:template>

  <xsl:template match="drawing-complete01 | drawing-complete02 | drawing-complete03">
    <drawing-complete add="y" >
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing-complete>
  </xsl:template>

  <xsl:template match="with-line-abstract-page01 | with-line-abstract-page02">
    <with-line-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-description-page01 | with-line-description-page02 | with-line-description-page03">
    <with-line-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-description-page>
  </xsl:template>

  <xsl:template match="with-line-claims-page01 | with-line-claims-page02">
    <with-line-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-claims-page>
  </xsl:template>
  <xsl:template match="foreign-specification">
    <foreign-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-specification-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification>
  </xsl:template>

  <xsl:template match="foreign-drawing">
    <foreign-drawing>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang"/>
      <xsl:attribute name="count">
        <xsl:value-of select='preceding::foreign-drawing-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-drawing>
  </xsl:template>

  <xsl:template match="spec-frontpage| 
                application-form| 
                reexam-reason| 
                allegation-document| 
                right-of-filing-document| 
                power-of-attorney| 
                international-priority1| 
                domestic-specification| 
                international-priority|
                domestic-security| 
                domestic-bio-doc| 
                international-bio-doc | 
                easily-obtained-doc |
                viability-statement| 
                lack-of-novelty-0| 
                practice-doc| 
                assignment-certificate| 
                absorb-company| 
                other-consent|
                death-certificate| 
                inheritance-table| 
                census-register| 
                inheritance-certificate| 
                renounce-inheritance-certificate| 
                will-notarization|
                apart-agreement-and-seal-certificate| 
                signs-jointly-book | 
                spec-source-file | 
                simplified-specification |
                contact">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="check-list">
    <xsl:apply-templates select="abstract01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="abstract02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-frontpage[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="application-form[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="reexam-reason[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="allegation-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="right-of-filing-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="power-of-attorney[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="simplified-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-security[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="easily-obtained-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="viability-statement[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-0[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-2[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="practice-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="assignment-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="absorb-company[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="other-consent[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="death-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-table[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="census-register[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="renounce-inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="will-notarization[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="apart-agreement-and-seal-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="signs-jointly-book[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-source-file[string-length(string())&gt;'0']"/> 
    <xsl:apply-templates select="contact[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="cl-other-document[string-length(string())&gt;'0']"/>
  </xsl:template>
  <!--
  <xsl:template match="cl-other-document">
    <xsl:apply-templates select="cl-other-document"/>
  </xsl:template>
  -->
  
  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>
</xsl:stylesheet>
