<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes" doctype-system="DTD/utility-application.dtd" encoding="UTF-8"/>
  <xsl:template match="/separation-utility-application">
    <utility-application receive-num="" receive-date="" dtd-version="2.0.1" application-version="1.0.7" form-version="1.0.6" fee-version="1.0.2" form-type="n" application-num="" status="n" produced-by="applicant" recognizance3="y">
      <xsl:choose>        
        <xsl:when test="count(recognizance3)&gt;0">
          <xsl:attribute name="recognizance3">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance3">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>        
        <xsl:when test="count(recognizance4)&gt;0">
          <xsl:attribute name="recognizance4">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance4">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>        
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance5)&gt;0">
          <xsl:attribute name="recognizance5">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance5">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="count(recognizance6)&gt;0">
          <xsl:attribute name="recognizance6">
            <xsl:text>y</xsl:text>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="recognizance6">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:copy-of select="case-code"/>
			<file-reference-id>
				<xsl:value-of select="file-reference-id"/>
			</file-reference-id>
			<xsl:if test="count(original-application-num)&gt;0">
				<original-data>
					<original-application-num>
						<xsl:apply-templates select="original-application-num"/>
					</original-application-num>
					<application-date>
						<xsl:apply-templates select="application-date"/>
					</application-date>
				</original-data>
			</xsl:if>			
      <xsl:apply-templates select="utility-title-tw"/>
      <xsl:apply-templates select="utility-title-en"/>
      <xsl:apply-templates select="parties"/>
      <invoke-priority-claim>
        <xsl:value-of  select="translate(invoke-priority-claim,'是否','yn')"/>
      </invoke-priority-claim>
      <!--045-107-000028 調整表單【發明專利分割申請書】、【新型專利分割申請書】新增欄位-->
      <invoke-with-invention>
        <xsl:value-of select="translate(invoke-with-invention,'是否','yn')"/>
      </invoke-with-invention>
      <!--045-106-000057 移除舊有欄位(主張優惠期/優先權/生物材料)
      <priority-claims>
        <xsl:apply-templates select="priority-claim"/>
      </priority-claims>-->
      <conform-declaration>
        <xsl:value-of  select="translate(conform-declaration,'是否','yn')"/>
      </conform-declaration>
      <declaration-publics>
        <xsl:apply-templates select="declaration-public"/>
      </declaration-publics>
      <!--045-106-000057 移除舊有欄位(主張優惠期/優先權/生物材料)
      <declarations>
        <xsl:apply-templates select="declaration"/>
      </declarations>-->
      <!--045-106-000057 移除舊有欄位(主張優惠期/優先權/生物材料)
      <xsl:if test="count(easily-obtained)&gt;0 or count(bio-deposit)&gt;0">
        <indication-bio-deposit lang="" file="" ro="" advocate="n">
          <xsl:choose>
            <xsl:when test="count(easily-obtained)&gt;0">
              <easily-obtained obtained="y"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:apply-templates select="bio-deposit"/>
            </xsl:otherwise>
          </xsl:choose>
        </indication-bio-deposit>
      </xsl:if>-->
      <specification-page-total add-translattion="n">
        <xsl:copy-of select="summary/abstract-page-count"/>
        <xsl:copy-of select="summary/description-page-count"/>
        <xsl:copy-of select="summary/claims-page-count"/>
        <xsl:copy-of select="summary/drawing-page-count"/>
        <xsl:copy-of select="summary/total-page-count"/>
        <xsl:copy-of select="foreign-summary/foreign-abstract-page-count"/>
        <xsl:copy-of select="foreign-summary/foreign-description-page-count"/>
        <xsl:copy-of select="foreign-summary/foreign-claims-page-count"/>
        <xsl:copy-of select="foreign-summary/foreign-drawing-page-count"/>
        <xsl:copy-of select="foreign-summary/foreign-total-page-count"/>
        <xsl:copy-of select="simplified-summary/simplified-abstract-page-count"/>
        <xsl:copy-of select="simplified-summary/simplified-description-page-count"/>
        <xsl:copy-of select="simplified-summary/simplified-claims-page-count"/>
        <xsl:copy-of select="simplified-summary/simplified-drawing-page-count"/>
        <xsl:copy-of select="simplified-summary/simplified-total-page-count"/>
      </specification-page-total>

      <!-- 2013/11/12 申請單編號:045-102-090 ADD BY ALGER -->
      <annotation>
        <dtext>
          <xsl:value-of select="dtext"/>
        </dtext>
      </annotation>
      
      <check-list>
        <xsl:apply-templates select="check-list"/>
      </check-list>
      <fee-sheet lang="" file="" ro="">
        <!--<xsl:apply-templates select="fee-sheet"/>-->
        <applicant-name>
          <name>
            <xsl:value-of select="/separation-utility-application/fee-sheet/fee-name"/>
          </name>
          <iid>
            <xsl:value-of select="/separation-utility-application/deposit-account/iid"/>
          </iid>
          <registered-number/>
        </applicant-name>
        <prescribed-fees currency=""/>
        <number-of-claims>
          <item-of-total>
            <xsl:value-of select="/separation-utility-application/summary/item-of-total"/>
          </item-of-total>
        </number-of-claims>
        <deposit-account>
          <authorization/>
          <ro>
            <country/>
          </ro>
          <account-no>
            <xsl:value-of select="/separation-utility-application/deposit-account/account-no"/>
          </account-no>
          <receipt-type>
            <xsl:value-of select="/separation-utility-application/deposit-account/receipt-type"/>
          </receipt-type>
          <date/>
          <name/>
          <registered-number/>
        </deposit-account>
        <dtext>
          <xsl:value-of select="/separation-utility-application/fee-sheet/fee-dtext"/>
        </dtext>        
      </fee-sheet>
    </utility-application>
  </xsl:template>

  <xsl:template match="utility-title-tw">
    <utility-title lang="tw">
      <xsl:value-of select="."/>
    </utility-title>
  </xsl:template>

  <xsl:template match="utility-title-en">
    <utility-title lang="en">
      <xsl:value-of select="."/>
    </utility-title>
  </xsl:template>

  <xsl:template match="parties">
    <parties>
      <applicants>
        <xsl:apply-templates select="applicant"/>
      </applicants>
      <inventors>
        <xsl:apply-templates select="creator"/>
      </inventors>
      <xsl:apply-templates select="correspondence-address"/>
      <agents>
        <xsl:apply-templates select="agent"/>
      </agents>
    </parties>
  </xsl:template>

  <xsl:template match="applicant">
    <applicant>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="ap-designated-receiver='是'">
          <xsl:attribute name="designated-receiver">
            <xsl:value-of  select="translate(ap-designated-receiver,'是','y')"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="designated-receiver">
            <xsl:text>n</xsl:text>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <addressbook lang="tw">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-tw-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-tw-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-tw-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <role>
          <xsl:value-of select="ap-name-type"/>
        </role>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-tw-representative"/>
        </representative>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ap-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ap-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ap-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ap-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ap-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ap-tw-email"/>
        </email>
      </addressbook>
      <addressbook lang="en">
        <xsl:choose>
          <xsl:when test="ap-name-type='自然人'">
            <last-name>
              <xsl:value-of select="normalize-space(substring-before(ap-en-name,','))"/>
            </last-name>
            <first-name>
              <xsl:value-of select="normalize-space(substring-after(ap-en-name,','))"/>
            </first-name>
          </xsl:when>
          <xsl:otherwise>
            <orgname>
              <xsl:value-of select="normalize-space(ap-en-comname)"/>
            </orgname>
          </xsl:otherwise>
        </xsl:choose>
        <iid>
          <xsl:value-of select="ap-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="ap-en-representative"/>
        </representative>
        <address lang="en">
          <dtext>
            <xsl:value-of select="ap-en-address"/>
          </dtext>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(ap-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(ap-country,'1','2')"/>
        </country-code>
      </nationality>
      <residence>
        <country>
          <xsl:value-of select="ap-living-country"/>
        </country>
      </residence>
      <legal-representative lang="tw">
        <addressbook lang="tw">
          <last-name>
            <xsl:value-of select="normalize-space(substring-before(ap-tw-legal-name,','))"/>
          </last-name>
          <first-name>
            <xsl:value-of select="normalize-space(substring-after(ap-tw-legal-name,','))"/>
          </first-name>
          <iid>
            <xsl:value-of select="ap-tw-legal-iid"/>
          </iid>
          <registered-number />
          <address lang="tw">
            <dtext />
          </address>
          <email />
        </addressbook>
      </legal-representative>
    </applicant>
  </xsl:template>

  <xsl:template match="creator">
    <inventor>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(cr-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(cr-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="cr-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <dtext/>
        </address>
        <email/>
      </addressbook>
      <addressbook lang="en">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(cr-en-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(cr-en-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="cr-tw-iid"/>
        </iid>
        <registered-number/>
        <representative>
          <xsl:value-of select="cr-en-representative"/>
        </representative>
        <address lang="en">
          <dtext/>
        </address>
        <email/>
      </addressbook>
      <nationality>
        <country>
          <xsl:value-of select="substring(cr-country,'3')"/>
        </country>
        <country-code>
          <xsl:value-of select="substring(cr-country,'1','2')"/>
        </country-code>
      </nationality>
    </inventor>
  </xsl:template>

  <xsl:template match="correspondence-address">
    <correspondence-address>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(co-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(co-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="co-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="co-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="co-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="co-tw-phone"/>
          </phone>
        </phones>
        <email/>
      </addressbook>
    </correspondence-address>
  </xsl:template>

  <xsl:template match="agent">
    <agent agent-type="agent" rep-type="agent">
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <addressbook lang="tw">
        <last-name>
          <xsl:value-of select="normalize-space(substring-before(ag-tw-name,','))"/>
        </last-name>
        <first-name>
          <xsl:value-of select="normalize-space(substring-after(ag-tw-name,','))"/>
        </first-name>
        <iid>
          <xsl:value-of select="ag-tw-iid"/>
        </iid>
        <registered-number/>
        <address lang="tw">
          <zip-code>
            <xsl:value-of select="ag-zip-code"/>
          </zip-code>
          <dtext>
            <xsl:value-of select="ag-tw-address"/>
          </dtext>
        </address>
        <phones>
          <phone-region/>
          <phone>
            <xsl:value-of select="ag-tw-phone"/>
          </phone>
        </phones>
        <fax>
          <xsl:value-of select="ag-tw-fax"/>
        </fax>
        <cell-phone>
          <xsl:value-of select="ag-tw-cell-phone"/>
        </cell-phone>
        <email>
          <xsl:value-of select="ag-tw-email"/>
        </email>
      </addressbook>
      <customer-number>
        <xsl:value-of select="ag-customer-number"/>
      </customer-number>
    </agent>
  </xsl:template>

  <!--045-106-000057 移除舊有欄位(主張優惠期/優先權/生物材料)
  <xsl:template match="priority-claim">
    <priority-claim declared="y">
      <xsl:choose>
        <xsl:when test="pcountry = 'TW中華民國'">
          <xsl:attribute name="kind">national</xsl:attribute>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="kind">international</xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:attribute name="sequence">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <country>
        <xsl:value-of select="pcountry"/>
      </country>
      <doc-number>
        <xsl:choose>
          <xsl:when test="pdoc-number='後補'">
            <xsl:text></xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="pdoc-number"/>
          </xsl:otherwise>
        </xsl:choose>
      </doc-number>
      <xsl:choose>
        <xsl:when test="pcountry='JP日本'">
          <access-code>
            <xsl:choose>
              <xsl:when test="access-code='後補'">
                <xsl:text></xsl:text>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="access-code"/>
              </xsl:otherwise>
            </xsl:choose>
          </access-code>
      </xsl:when>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="pcountry = 'KR南韓'">
          <xsl:choose>
            <xsl:when test="access-code = '不交換'">
              <elec-swap>
                <xsl:value-of select="translate(access-code,'不交換','')"/>
              </elec-swap>
            </xsl:when>
          </xsl:choose>
          -->
<!--<xsl:value-of select="translate(access-code,'不交換','')"/>--><!--
        </xsl:when>
      </xsl:choose>

      <xsl:choose>
        <xsl:when test="pcountry = 'KR南韓'">
          <xsl:choose>
            <xsl:when test="access-code = '交換'">
              <elec-swap>
                <xsl:text>1</xsl:text>
              </elec-swap>
            </xsl:when>
          </xsl:choose>
        </xsl:when>
      </xsl:choose>
      
      <xsl:choose>
        <xsl:when test="ip-type = '後補'">
          <ip-type>
            <xsl:text></xsl:text>
          </ip-type>
        </xsl:when>
        <xsl:when test="ip-type = '發明'">
          <ip-type>
            <xsl:text>I</xsl:text>
          </ip-type>
        </xsl:when>
        <xsl:when test="ip-type = '新型'">
          <ip-type>
            <xsl:text>M</xsl:text>
          </ip-type>
        </xsl:when>
      </xsl:choose>
      <date>
        <xsl:value-of select="pdate"/>
      </date>
    </priority-claim>
  </xsl:template>-->

  <xsl:template match="declaration-public">
    <xsl:if test="count(cdate)&gt;0 or count(public-reason)&gt;0">
      <declaration-public>
        <xsl:attribute name="sequence">
          <xsl:number value="position()" format="1"/>
        </xsl:attribute>
        <date>
          <xsl:value-of select="cdate"/>
        </date>
        <public-reason>
          <xsl:value-of select="public-reason"/>
        </public-reason>
      </declaration-public>
    </xsl:if>
  </xsl:template>

  <!--045-106-000057 移除舊有欄位(主張優惠期/優先權/生物材料)
  <xsl:template match="declaration">
    <xsl:if test="count(declarations1)&gt;0">
      <declaration declared="y" kind="A">
        <xsl:attribute name="sequence">
          <xsl:number value="position()" format="1"/>
        </xsl:attribute>
        <date>
          <xsl:value-of select="ddate"/>
        </date>
      </declaration>
    </xsl:if>
    <xsl:if test="count(declarations2)&gt;0">
      <declaration declared="y" kind="B">
        <xsl:attribute name="sequence">
          <xsl:number value="position()" format="1"/>
        </xsl:attribute>
        <date>
          <xsl:value-of select="ddate"/>
        </date>
      </declaration>
    </xsl:if>
    <xsl:if test="count(declarations3)&gt;0">
      <declaration declared="y" kind="C">
        <xsl:attribute name="sequence">
          <xsl:number value="position()" format="1"/>
        </xsl:attribute>
        <date>
          <xsl:value-of select="ddate"/>
        </date>
      </declaration>
    </xsl:if>
    <xsl:if test="count(declarations4)&gt;0">
      <declaration declared="y" kind="D">
        <xsl:attribute name="sequence">
          <xsl:number value="position()" format="1"/>
        </xsl:attribute>
        <date>
          <xsl:value-of select="ddate"/>
        </date>
      </declaration>
    </xsl:if>
  </xsl:template>-->

  <xsl:template match="bio-deposit">
    <bio-deposit>
      <xsl:attribute name="num">
        <xsl:number value="position()" format="1"/>
      </xsl:attribute>
      <country>
        <xsl:value-of select="bcountry"/>
      </country>
      <depositary>
        <xsl:value-of select="bdepositary"/>
      </depositary>
      <bio-accno>
        <xsl:value-of select="bio-accno"/>
      </bio-accno>
      <date>
        <xsl:value-of select="bdate"/>
      </date>
    </bio-deposit>
  </xsl:template>

  <xsl:attribute-set name="AddPageCount">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="page-count"/>
  </xsl:attribute-set>
  
  <xsl:attribute-set name="Add">
    <xsl:attribute name="add">y</xsl:attribute>
  </xsl:attribute-set>

  <xsl:attribute-set name="AddLang">
    <xsl:attribute name="add">y</xsl:attribute>
    <xsl:attribute name="lang"/>
  </xsl:attribute-set>
  
  <xsl:template match="abstract01 | abstract02">
    <abstract add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::abstract-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </abstract>
  </xsl:template>

  <xsl:template match="claims01 | claims02">
    <claims add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::claims-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </claims>
  </xsl:template>

  <xsl:template match="description01 | description02 | description03 | description04 ">
    <description add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::description-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </description>
  </xsl:template>

  <xsl:template match="drawing01 | drawing02 | drawing03 | drawing04">
    <drawing add="y">
      <xsl:attribute name="page-count">
        <xsl:value-of select='preceding::drawing-page-count'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
      <num>
        <xsl:value-of select='preceding::drawing-num'/>
      </num>
    </drawing>
  </xsl:template>

  <xsl:template match="without-line-abstract-complete01 | without-line-abstract-complete02">
    <without-line-abstract-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-abstract-complete>
  </xsl:template>

  <xsl:template match="without-line-description-complete01 | without-line-description-complete02 | without-line-description-complete03">
    <without-line-description-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-description-complete>
  </xsl:template>

  <xsl:template match="without-line-claims-complete01 | without-line-claims-complete02">
    <without-line-claims-complete add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </without-line-claims-complete>
  </xsl:template>

  <xsl:template match="drawing-complete01 | drawing-complete02 | drawing-complete03">
    <drawing-complete add="y" >
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </drawing-complete>
  </xsl:template>

  <xsl:template match="with-line-abstract-page01 | with-line-abstract-page02">
    <with-line-abstract-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-abstract-page>
  </xsl:template>

  <xsl:template match="with-line-description-page01 | with-line-description-page02 | with-line-description-page03">
    <with-line-description-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-description-page>
  </xsl:template>

  <xsl:template match="with-line-claims-page01 | with-line-claims-page02">
    <with-line-claims-page add="y">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </with-line-claims-page>
  </xsl:template>
  <xsl:template match="foreign-specification">
    <foreign-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="lang">
        <xsl:apply-templates select='preceding::foreign-description-lang'/>
      </xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </foreign-specification>
  </xsl:template>
  
  <xsl:template match="simplified-specification">
    <simplified-specification>
      <xsl:attribute name="add">y</xsl:attribute>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </simplified-specification>
  </xsl:template>

  <xsl:template match="spec-frontpage| 
                application-form| 
                reexam-reason| 
                allegation-document| 
                right-of-filing-document| 
                power-of-attorney| 
                international-specification| 
                domestic-specification| 
                international-priority|
                domestic-security| 
                domestic-bio-doc| 
                international-bio-doc | 
                easily-obtained-doc |
                viability-statement| 
                lack-of-novelty-0| 
                practice-doc| 
                assignment-certificate| 
                absorb-company| 
                other-consent|
                death-certificate| 
                inheritance-table| 
                census-register| 
                inheritance-certificate| 
                renounce-inheritance-certificate| 
                will-notarization|
                apart-agreement-and-seal-certificate| 
                signs-jointly-book | 
                spec-source-file |
                contact">
    <xsl:copy use-attribute-sets="Add">
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <xsl:apply-templates select="*|node()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="check-list">
    <xsl:apply-templates select="abstract01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="abstract02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="description04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="claims02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing04[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-abstract-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-description-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="without-line-claims-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="drawing-complete03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-abstract-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-description-page03[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page01[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="with-line-claims-page02[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-frontpage[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="application-form[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="reexam-reason[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="allegation-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="right-of-filing-document[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="power-of-attorney[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="foreign-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="simplified-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-priority[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-specification[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-security[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="domestic-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="international-bio-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="easily-obtained-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="viability-statement[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-0[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-1[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="lack-of-novelty-2[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="practice-doc[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="assignment-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="absorb-company[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="other-consent[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="death-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-table[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="census-register[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="renounce-inheritance-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="will-notarization[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="apart-agreement-and-seal-certificate[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="signs-jointly-book[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="spec-source-file[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="contact[string-length(string())&gt;'0']"/>
    <xsl:apply-templates select="cl-other-document[string-length(string())&gt;'0']"/>
  </xsl:template>

  <xsl:template match="cl-other-document">
    <cl-other-document>
      <xsl:attribute name="list-seq">
        <xsl:value-of select="@list-seq"/>
      </xsl:attribute>
      <doc-description>
        <xsl:value-of select="doc-description"/>
      </doc-description>
      <doc-filename>
        <xsl:value-of select="doc-filename"/>
      </doc-filename>
    </cl-other-document>
  </xsl:template>

  <xsl:template match="fee-sheet">
    <applicant-name>
      <name>
        <xsl:value-of select="fee-name"/>
      </name>
      <iid>
        <xsl:value-of select="/separation-utility-application/deposit-account/iid"/>
      </iid>
      <registered-number/>
    </applicant-name>
    <prescribed-fees currency=""/>
    <number-of-claims>
      <item-of-total>
        <xsl:value-of select="/separation-utility-application/item-of-total"/>
      </item-of-total>
    </number-of-claims>
    <deposit-account>
      <authorization/>
      <ro>
        <country/>
      </ro>
      <account-no>
      <xsl:value-of select="/separation-utility-application/deposit-account/account-no"/>
      </account-no>
      <date/>
      <name/>
      <registered-number/>
    </deposit-account>
    <dtext>
      <xsl:value-of select="dtext"/>
    </dtext>
  </xsl:template>

  <xsl:template match="foreign-description-lang">
    <xsl:choose>
      <xsl:when test='.="日文"'>
        <xsl:text>01</xsl:text>
      </xsl:when>
      <xsl:when test='.="英文"'>
        <xsl:text>02</xsl:text>
      </xsl:when>
      <xsl:when test='.="德文"'>
        <xsl:text>03</xsl:text>
      </xsl:when>
      <xsl:when test='.="韓文"'>
        <xsl:text>04</xsl:text>
      </xsl:when>
      <xsl:when test='.="法文"'>
        <xsl:text>05</xsl:text>
      </xsl:when>
      <xsl:when test='.="俄文"'>
        <xsl:text>06</xsl:text>
      </xsl:when>
      <xsl:when test='.="葡萄牙文"'>
        <xsl:text>07</xsl:text>
      </xsl:when>
      <xsl:when test='.="西班牙文"'>
        <xsl:text>08</xsl:text>
      </xsl:when>
      <xsl:when test='.="阿拉伯文"'>
        <xsl:text>09</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>